# Get company

### Input

User needs to provide company number

<table><thead><tr><th width="181">Attribute</th><th width="348">Type</th><th>Description</th></tr></thead><tbody><tr><td>companyNumber</td><td>String</td><td>Company number</td></tr></tbody></table>

### Output

| Attribute                       | Type   | Description                                                                                                                                     |
| ------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| activity                        | Array  | A list of company activities, each containing a code and description.                                                                           |
| addresses                       | Array  | A list of company addresses.                                                                                                                    |
| websites                        | Array  | A list of company websites                                                                                                                      |
| companyCode                     | String | The code of the company.                                                                                                                        |
| companyName                     | String | The name of the company.                                                                                                                        |
| registeredCompanyName           | String | The registered name of the company.                                                                                                             |
| companyRegistrationNumber       | Array  | A list of registration numbers for the company.                                                                                                 |
| allAvailableRegistrationNumbers | Array  | A list of all available registration numbers, each containing a registration number, type description, registration date, and a preferred flag. |
| legalForm                       | String | The legal form of the company.                                                                                                                  |
| companyStatus                   | String | The status of the company (e.g. Active, Stopped).                                                                                               |
| registrationDate                | String | The registration date of the company.                                                                                                           |
| phoneNumber                     | Array  | A list of company phone numbers (currently empty).                                                                                              |
| directorAndShareDetails         | Object | An object containing details about the directors and shareholders.                                                                              |
| countryCode                     | String | The country code for the company.                                                                                                               |

#### Activity

| Attribute   | Type   | Description                      |
| ----------- | ------ | -------------------------------- |
| code        | String | The code for the activity.       |
| description | String | The description of the activity. |

#### Addresses

| Attribute        | Type   | Description                                      |
| ---------------- | ------ | ------------------------------------------------ |
| addressInOneLine | String | The complete address in one line.                |
| streetNumber     | String | The street number of the address.                |
| postalCode       | String | The postal code of the address.                  |
| country          | String | The country of the address.                      |
| countryCode      | String | The country code of the address.                 |
| streetName       | String | The street name of the address.                  |
| addressLocality  | String | The locality of the address.                     |
| streetAddress    | Object | An object containing the street address details. |

#### StreetAddress

| Attribute | Type   | Description                    |
| --------- | ------ | ------------------------------ |
| line1     | String | The first line of the address. |

#### AllAvailableRegistrationNumbers

| Attribute                     | Type    | Description                                           |
| ----------------------------- | ------- | ----------------------------------------------------- |
| registrationNumber            | String  | The registration number.                              |
| typeDescription               | String  | The description of the registration type.             |
| registrationDate              | String  | The registration date.                                |
| isPreferredRegistrationNumber | Boolean | Indicates if it is the preferred registration number. |

#### DirectorAndShareDetails

| Attribute | Type  | Description                             |
| --------- | ----- | --------------------------------------- |
| directors | Array | A list of directors with their details. |

#### Directors

| Attribute | Type   | Description                               |
| --------- | ------ | ----------------------------------------- |
| position  | Array  | A list of positions held by the director. |
| name      | String | The full name of the director.            |
| firstName | String | The first name of the director.           |
| lastName  | String | The last name of the director.            |

```json
{
  "cbe" : {
    "activity" : [ {
      "code" : "VAT 2008 45.111",
      "description" : "Wholesale trade of cars and other light motor vehicles (= 3.5 tons)"
    }, {
      "code" : "VAT 2008 45.112",
      "description" : "Commission trade of cars and other light motor vehicles (= 3.5 tons)"
    }, {
      "code" : "VAT 2008 45.113",
      "description" : "Retail trade of cars and other light motor vehicles (= 3.5 tons)"
    }, {
      "code" : "VAT 2008 45.194",
      "description" : "Trade of trailers, semitrailers and caravans"
    }, {
      "code" : "VAT 2008 45.201",
      "description" : "General maintenance and repair of cars and other light motor vehicles (= 3.5 ton)"
    } ],
    "addresses" : [ {
      "addressInOneLine" : "Rue du Mail 50 1050 Ixelles Belgium",
      "streetNumber" : "50",
      "postalCode" : "1050",
      "country" : "Belgium",
      "countryCode" : "BE",
      "streetName" : "Rue du Mail",
      "addressLocality" : "Ixelles",
      "streetAddress" : {
        "line1" : "Rue du Mail 50"
      }
    } ],
    "websites" : [ "https://website.com" ],
    "companyCode" : "0745.666.813",
    "companyName" : "D'Ieteren Centers",
    "registeredCompanyName" : "0745.666.813",
    "companyRegistrationNumber" : [ "0745.666.813" ],
    "allAvailableRegistrationNumbers" : [ {
      "registrationNumber" : "0745.666.813",
      "typeDescription" : "Enterprise number",
      "registrationDate" : "2020-03-27",
      "isPreferredRegistrationNumber" : true
    } ],
    "legalForm" : "Public limited company",
    "companyStatus" : "Active",
    "registrationDate" : "2020-03-27",
    "phoneNumber" : [ "+47123456789" ],
    "directorAndShareDetails" : {
      "directors" : [ {
        "position" : [ "Director" ],
        "name" : "Benoit De Canniere",
        "firstName" : "Benoit",
        "lastName" : "De Canniere"
      }, {
        "position" : [ "Director" ],
        "name" : "Didier Willems",
        "firstName" : "Didier",
        "lastName" : "Willems"
      }, {
        "position" : [ "Permanent representative" ],
        "name" : "Koen Van Minnebruggen",
        "firstName" : "Koen",
        "lastName" : "Van Minnebruggen"
      } ]
    },
    "countryCode" : "BE"
  }
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/cbe-belgium-company-register/company-profile/get-company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
